# My System

## Placement
I optimize placement in [boxes](https://www.globalindustrial.com/product/itemKey/30016139) to use all the available space.

> There seems to be some law of the universe that holiday decorations take one and a half boxes.
StoreDown will let use the rest of that box.

The second and maybe more important is to place stuff pseudo randomly.
This creates a positive feedback loop where you have to use StoreDown to find stuff. This helps keep the data accurate. 
 
Putting items together logically makes it easier for you to pull items without using StoreDown. This causes a negative feedback loop where the data in StoreDown becomes less acuate and less useful hence causing you to use it less.

Random placement also has an advantage that someone who is unfamiliar with an item is less likely to be confused. You are not very likely to be looking for a black USB cable in a box full of black cables if you placed them randomly.

### Intake
I have an intake box that I keep out and check stuff into. When it gets full I put it in storage and get a new box to take its place.

### Placement Requirements
Some items need to be stored in a climate controlled zone or away from other items. I use an @ tag to note these requirements.

For example: `@Chemical` noted on a box notes thats where chemicals should be stored. 
That obviously is not a place you should store food.

---

## Retrieval
StoreDown has two inbuilt retrieval systems you need to keep in mind.

### The Tree
StoreDown can present inventory in a tree format.
> Computer file systems are a good example of a tree.

This is an excellent way to find items based on locations.

```
StoreDown
├── House 1
│   ├── Room
│   │   ├── Shelf
│   │   │   └── Box
│   │   ├── Shelf
│   │   │   └── Box
│   │   └── Shelf
│   │       ├── Box
│   │       └── Item
│   └── Room
│       └── Item
├── House 2
│   └── Item
└── Item
```

### Search/List
StoreDown has an inbuilt fuzzy search system. 

This acts a lot like Google. 
Search for what you want.
Go and pick it up.

---

## My Prime Use Cases
- Cords! 
  Do we have a HDMI 2.1 cable?  
  Do we have a USB cable that can reach around 4 ft?
- Keeping receipts  
  That lifetime warranty require a receipt? No problem!
- Keeping track of manuals
- Food storage    
  'xyz was on sale so I bought a bunch.'  
  You can use an expiration field to use them in order.
- Keep track of stuff you loaned out  
  'Am I going crazy or didn't we have a xyz?'
- Keeping things off tables  
  If you have something that has sat on your workbench for a year, you are storing it there.  
  You probably are never going to get to it and it is keeping the work surface from being useful.  
  StoreDown is a place where you can keep anything.
